karaf-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject Re: Equinox 3.7x
Date Tue, 03 Jan 2012 05:52:58 GMT
Hi Stefan,

I guess that you use Karaf 2.2.x ?

Regards
JB

On 01/03/2012 12:29 AM, Stefan Eder wrote:
> If the Karaf boot jar is compiled with Java >= 1.5 and bundled with the
> OSGi classes of Equinox 3.7 instead of the Felix OSGi classes, it boots
> both, Felix and Equinox (also Equinox 3.7). Of course only in a VM >= 1.5.
>
> related to:
> org.osgi.framework.Version.compareTo(Object) [old]
> vs.
> org.osgi.framework.Version.compareTo(Version) [new]
>
> What about packaging two versions of the Karaf boot jar, the current one
> as default and a second one to boot Equinox 3.7?
>
> Thanks, Stefan
>

-- 
Jean-Baptiste Onofré
jbonofre@apache.org
http://blog.nanthrax.net
Talend - http://www.talend.com

Mime
View raw message